import React from "react";

interface Props {
  date: Date;
  online: boolean;
  location: string;
}

export function EventSetting(props: Props) {
  const date = props.date.toLocaleDateString("en-US", {
    day: "numeric",
    month: "long",
    year: "numeric",
  });
  const time = props.date.toLocaleTimeString("en-US", {
    hour: "numeric",
    minute: "numeric",
  });
  const location = props.online ? `Online - ${props.location}` : props.location;

  return (
    <div>
      <time dateTime={props.date.toISOString()}>{`${date} | ${time}`}</time>
      {` | ${location}`}
    </div>
  );
}
